Welcome!

This community is for professionals and enthusiasts of the Genio platform.
Share your questions and challenges, and help your partners!

0

0
Sonia Fernandes
On 12/14/22, 9:56 PM

Genio works with the Node.js 16 version, for example, the 16.18.1 version \https://nodejs.org/download/release/v16.18.1/node-v16.18.1-x64.msi.

The node.js newest versions have incompatibilities with other libraries.



0
Andre Marques
On 12/13/22, 10:20 AM

I changed the path inside my gengenio file inside the folder of new version were wrong, I change it and it work but now I'm with a error when trying to compilate, same error as the previous version:


  • Flag

Output:

Compilação iniciada...

1>------ Compilação iniciada: Projeto: Administration, Configuração: Debug Any CPU ------

1> v18.12.1

1> C:\Users\Assisprotech\AppData\Roaming\npm

1> `-- pnpm@7.1.9

1>

1>

1> > administration@0.1.2 build:dev

1> > vue-cli-service build --mode development

1>

1> Browserslist: caniuse-lite is outdated. Please run:

1> npx browserslist@latest --update-db

1> Why you should do it regularly: https://github.com/browserslist/browserslist#browsers-data-updating

1>

1> - Building for development...

1> [hardsource:494a00dd] Using 0 MB of disk space.

1> [hardsource:494a00dd] Writing new cache 494a00dd...

1> [hardsource:494a00dd] Tracking node dependencies with: package.json, node_modules/*.

1> Error: error:0308010C:digital envelope routines::unsupported

1> at new Hash (node:internal/crypto/hash:71:19)

1> at Object.createHash (node:crypto:133:10)

1> at module.exports (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\util\createHash.js:135:53)

1> at NormalModule._initBuildHash (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:417:16)

1> at handleParseError (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:471:10)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:503:5

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:358:12

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:373:3

1> at iterateNormalLoaders (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:214:10)

1> at iterateNormalLoaders (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:221:10)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:236:3

1> at runSyncOrAsync (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:130:11)

1> at iterateNormalLoaders (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:232:2)

1> at Array.<anonymous> (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:205:4)

1> at Storage.finished (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\enhanced-resolve@4.5.0\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:55:16)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\enhanced-resolve@4.5.0\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:91:9

1> C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:114

1> throw e;

1> ^

1>

1> Error: error:0308010C:digital envelope routines::unsupported

1> at new Hash (node:internal/crypto/hash:71:19)

1> at Object.createHash (node:crypto:133:10)

1> at module.exports (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\util\createHash.js:135:53)

1> at NormalModule._initBuildHash (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:417:16)

1> at handleParseError (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:471:10)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:503:5

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\webpack@4.46.0\node_modules\webpack\lib\NormalModule.js:358:12

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:373:3

1> at iterateNormalLoaders (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:214:10)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:186:6

1> at context.callback (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\loader-runner@2.4.0\node_modules\loader-runner\lib\LoaderRunner.js:111:13)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\cache-loader@4.1.0_webpack@4.46.0\node_modules\cache-loader\dist\index.js:240:7

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\neo-async@2.6.2\node_modules\neo-async\async.js:2830:7

1> at done (C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\neo-async@2.6.2\node_modules\neo-async\async.js:2865:11)

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\neo-async@2.6.2\node_modules\neo-async\async.js:2818:7

1> at C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\ClientApp\node_modules\.pnpm\cache-loader@4.1.0_webpack@4.46.0\node_modules\cache-loader\dist\index.js:229:9 {

1> opensslErrorStack: [ 'error:03000086:digital envelope routines::initialization error' ],

1> library: 'digital envelope routines',

1> reason: 'unsupported',

1> code: 'ERR_OSSL_EVP_UNSUPPORTED'

1> }

1>

1> Node.js v18.12.1

1>C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\Administration.csproj(319,5): error : (npm run build:dev) - Error(s) on build client-side solution.

1>C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\Administration.csproj(319,5): error :

1>C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\Administration.csproj(319,5): error : The error description can be found in the Visual Studio 'Output' window or by running 'npm run build' on the Command Line from the ClientApp folder.

1>C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\Administration.csproj(319,5): error : If the description of the error(s) does not appear in the 'Output' window:

1>C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\Administration.csproj(319,5): error : Options -> Projects and Solutions -> Build and Run

1>C:\Quidgest\Projects\GAR\GEN_QUIDGEST\WebAdmin\Administration\Administration.csproj(319,5): error : Set the MSBuild project build output verbosity: Minimal

========== Compilação: 0 bem-sucedida, 1 com falha, 4 atualizada, 0 ignorada ==========

Andre Marques
on 12/13/22, 10:44 AM

apparently it was the version of Node. I installed a previous version and it worked

Andre Marques
on 12/13/22, 11:28 AM

Genio works with the Node.js 16 version, for example, the 16.18.1 version https://nodejs.org/download/release/v16.18.1/node-v16.18.1-x64.msi. The node.js newest versions have incompatibilities with other libraries.

Sonia Fernandes
on 12/14/22, 9:55 PM

Keep Informed

About the Community

This platform is for beginners and experts willing to share their Genio knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers. Read Guidelines

Question tools

45 follower(s)

Stats

Asked: 12/9/22, 11:16 AM
Seen: 696 times
Last updated: 12/14/22, 9:56 PM